
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
}

html,body
{    
    height: 100%;
}
body {
    background-image: url('Hintergrund/gruen.svg'); 
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    color: #ffffff;
    min-height: 100vh;
    display: flex;
  	flex-direction: column;	
    
}

header {
    width: 100%;
    background: rgba(0, 0, 0, 0.6); 
    position: fixed;
    
}
main
{
    padding-top:80px;
    flex: 1;
}
footer
{
    width: 100%;
    background: rgba(0, 0, 0, 0.6);       
}

.menu ul {
    list-style: none;
    display: flex;
    justify-content: center;
    padding: 1rem 0;
}

.menu ul li {
    margin: 0 1.5rem;
}

.menu ul li a {
    text-decoration: none;
    color: #ffffff;
    font-weight: bold;
    transition: color 0.3s;
}

.menu ul li a:hover {
    color: #ffd700;
}


.section {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;    
    
    height: auto;        
    margin: 6rem auto; 
    padding: 0 1rem; 
    text-align: left; 
}
.section img
{
    margin:2rem ;
    width: 100%;
    max-width:800px;
    border-radius:10px;
    
}
.section h1 {
    font-size: 4rem;
    margin-bottom: 4.5rem;
    text-shadow: 2px 2px 4px rgba(0,0,0,0.7);
}
.section h2
{    
    max-width: 800px;  
    width:100%;
    margin-bottom: 3rem;
    font-size: 1.6rem;
}

.section p {
    
    font-size: 1.5rem;
    max-width:800px;
    width:100%;
    text-shadow: 1px 1px 3px rgba(0,0,0,0.5);
    margin-bottom: 3em;
    line-height: 1.6;
}
.section ul
{
    max-width: 750px;
    width:100%;
    margin-bottom: 3em;
    font-size: 1.5rem;
    text-shadow: 1px 1px 3px rgba(0,0,0,0.5);
}
.section table
{
    margin: 2rem;
    font-size: 1.5rem;
    text-shadow: 1px 1px 3px rgba(0,0,0,0.5);
    max-width:800px;
    width:100%;    
    border:2px solid rgb(255, 255, 255);
    margin-bottom: 3rem;
}
.section td
{   
    height: 60px;  
    padding-left:9px;
    border:2px solid rgb(255, 255, 255);
}
.foto-grid{
    display:grid;
    grid-template-columns: repeat(2, 1fr);
    gap:20px;
    max-width:800px;
    width:100%;
}

.foto-grid img{
    width:100%;
    height:250px;
    object-fit:cover;
    border-radius:10px;
    transition: transform 0.3s;
}

.foto-grid img:hover{
    transform:scale(1.5);
}


@media (max-width: 768px) {
    body
    {
        background-attachment: scroll;
    }
    .section h1 {
        font-size: 2.2rem;
    }
    .section p {
        font-size: 1.2rem;
    }
    .menu ul {
        flex-direction: column;
    }
    .menu ul li {
        margin: 0.5rem 0;
    }
    .foto-grid{
    grid-template-columns:1fr;
    }   

    .foto-grid img{
    height:200px;
    }
}